DECLARE 
  @No_Proposal VARCHAR(9),
  @No_Peserta VARCHAR(12),
  @Status_Kawin VARCHAR(2)

DECLARE list_cursor CURSOR FAST_FORWARD FOR  

SELECT
  No_Proposal,
	No_Peserta,
	Status_Kawin
FROM
	dbo.Peserta
WHERE
  No_Proposal = '2015.0100' -- DEKORAMIK PERDANA
  AND Sebagai = 0 -- karyawan
  AND Status_Kawin <> 'TK'  -- yg single (tidak kawin)
  
OPEN list_cursor  
FETCH NEXT FROM list_cursor INTO @No_Proposal, @No_Peserta, @Status_Kawin

WHILE @@FETCH_STATUS = 0  
BEGIN  

  --SELECT
  --  @Status_Kawin,
  --  *
  --FROM
  --  dbo.Peserta
  --WHERE
  --  No_Proposal = @No_Proposal
  --  AND LEFT(No_Peserta, 10) = LEFT(@No_Peserta, 10)
  --  AND Sebagai <> 0  -- selain karyawan (berarti: istri & anak)
  
  UPDATE
    dbo.Peserta
  SET
    Status_Kawin = @Status_Kawin
  WHERE
    No_Proposal = @No_Proposal
    AND LEFT(No_Peserta, 10) = LEFT(@No_Peserta, 10)
    AND Sebagai <> 0  -- selain karyawan (berarti: istri & anak)

  FETCH NEXT FROM list_cursor INTO @No_Proposal, @No_Peserta, @Status_Kawin
END  

CLOSE list_cursor  
DEALLOCATE list_cursor 
